Package com.usatiuk.dhfs.webapi

# Class PeerManagementApi

java.lang.Object
com.usatiuk.dhfs.webapi.PeerManagementApi

@Path("/peers-manage") public class PeerManagementApi extends Object

## Constructor Summary

Constructors
Constructor
Description
`PeerManagementApi()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPeer(String peerId, KnownPeerPut knownPeerPut)`
`Collection<PeerInfo>`
`availablePeers()`
`void`
`deletePeer(String peerId)`
`List<PeerInfo>`
`knownPeers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerManagementApi

public PeerManagementApi()

## Method Details

### knownPeers

@Path("known-peers") @GET public List<PeerInfo> knownPeers()

### addPeer

@Path("known-peers/{peerId}") @PUT public void addPeer(@PathParam("peerId") String peerId, KnownPeerPut knownPeerPut)

### deletePeer

@Path("known-peers/{peerId}") @DELETE public void deletePeer(@PathParam("peerId") String peerId)

### availablePeers

@Path("available-peers") @GET public Collection<PeerInfo> availablePeers()